| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
IG.Script.LoadableScriptSpecialFunctionBase Class Reference

Base cls. for various special function loadable scripts. More...

Inheritance diagram for IG.Script.LoadableScriptSpecialFunctionBase:
[legend]
Collaboration diagram for IG.Script.LoadableScriptSpecialFunctionBase:
[legend]

## Public Member Functions
| LoadableScriptSpecialFunctionBase ()
override void | Script_AddCommand (ICommandLineApplicationInterpreter interpreter, SortedList< string, string > helpStrings, string commandName, Script_CommandDelegate command, string helpString)
| Adds a new internal script command under specified name to the internal interpreter of the current script object. More...
override void | Script_AddCommands (ICommandLineApplicationInterpreter interpreter, SortedList< string, string > helpStrings)
| Adds commands to the internal interpreter. More...
string | AppMyTest (string[] arguments)
| Test action. More...
virtual string | AppCustomApp (string[] arguments)
| Custom application. More...
Public Member Functions inherited from IG.Lib.LoadableScriptBase
| LoadableScriptBase ()
| Argument-less constructor. If argument-less constructor is called then initialization is not performed and will be performed later. More...
string | Run (string[] arguments)
| Performs the action of this object. Override this in derived classes! More...
void | Initialize (string[] arguments)
| Initializes the object. If not called explicitly, this method is automatically called at the first call to the Run method. More...
virtual string | Script_DefaultInitialize (string[] arguments)
| Default initialization method for scripts. More...
virtual string | Script_DefaultRun (string[] arguments)
| Default run method for the script. Can be used when only installed commands are run by hte script. More...
virtual ICommandLineApplicationInterpreter | Script_CreateInterpreterWithoutCommands ()
| Creates and returns an interpreter that can be used as script's internal interpreter for running script's commands. More...
delegate string | Script_CommandDelegate (string[] args)
| Delegate for commands that are installed on script's internal interpreter (property Script_Interpreter). More...
void | Script_AddCommand (string commandName, Script_CommandDelegate command, string helpString)
| Adds a new internal script command under specified name to the internal interpreter of the current script object. More...
string | Script_GetHelpString (string scriptCommandName)
| Returns help string for internal script command with specified name, or null if help string is not installed for such a command. More...
void | Script_PrintCommandsHelp ()
| Prits help for the installed internal commands of the script. More...
virtual bool | Script_ContainsCommand (string commandName)
| Returns true if the internal script's interpreter contains a command with specified name, false otherwise. More...
virtual bool | Script_ContainsScriptCommand (string commandName)
| Returns true if the specified command is script command (i.e. its first argument is command-name and it is run through the Script_CommandAdapter object). More...
virtual void | Script_RemoveCommand (string commandName)
| Removes the specified internal script command from the internal interpreter of the current scripting object. More...
virtual void | Script_RemoveAllCommands ()
| Removes ALL internal script commands from the internal interpreter of the current scripting object. More...
string | Script_Run (string[] arguments)
| Runs internal script command. More...
string | Script_Run (string commandName, params string[] otherArguments)
| Runs internal script command. More...
virtual void | Script_PrintArguments (string messageString, string[] arguments)
| Prints the specified array of string arguments (usually passed as command-line arguments). More...

## Public Attributes
const string | ConstMyTest = "MyTest"
| Name of the command that performs my custom test. More...
const string | ConstHelpMyTest = "Custom test function."
const string | ConstCustomApp = "CustomApp"
| Name of the command for custom test. More...
const string | ConstHelpCustomApp = "Custom aplication."
Public Attributes inherited from IG.Lib.LoadableScriptBase
const string | ConstDefaultHelp = "Help"
| Default command name for help. More...
const string | ConstHelpDefaultUniversal = "?"
| Universal name of the help command. More...
const string | ConstDefaultTestScrip = "TestScript"
| Default command name for test method. More...

## Protected Member Functions
override void | InitializeThis (string[] arguments)
| Initializes the current object. More...
override string | RunThis (string[] arguments)
| Runs action of the current object. More...
Protected Member Functions inherited from IG.Lib.LoadableScriptBase
delegate string | CommandMethod (string commandName, string[] args)
| Delegate for internal command methods. More...
ICommandLineApplicationInterpreter | Script_CreateInterpreter ()
| Creates and returns an interpreter that can be used as script's internal interpreter for running script's commands. More...
virtual string | Script_CommandHelp (string[] arguments)
| Prints help. More...
virtual string | Script_CommandTestScript (string[] arguments)
| Prints help. More...

## Additional Inherited Members
Protected Attributes inherited from IG.Lib.LoadableScriptBase
string | _embeddedCommandName = null
int | _outputLevel = DefaultOutputLevel
ICommandLineApplicationInterpreter | _script_interpreter
Properties inherited from IG.Lib.LoadableScriptBase
string | EmbeddedCommandName`[get, set]`
| Command that was used to launch the current embedded application script. More...
object | Lock`[get]`
| This object's central lock object to be used by other object. Do not use this object for locking in class' methods, for this you should use InternalLock. More...
string[] | InitializationArguments`[get, set]`
| Arguments used by the initialization method. WARNING: arguments can only be set before initialization is performed. Initialization is performed either implicitly at the first call to the Run method or explicitly by calling the Initialize method. More...
virtual bool | IsInitialized`[get, protected set]`
| Whether the object has been initialized or not. More...
static int | DefaultOutputLevel`[get, set]`
int | OutputLevel`[get, set]`
| Level of output to console produced by some operations of the current object. More...
virtual ICommandLineApplicationInterpreter | Script_Interpreter`[get, protected set]`
| Script's internal interpreter that takes care for execution of installed internal commands. More...
SortedList< string, string > | Script_CommandHelpStrings`[get]`
| Contains help strings associated with script commands installed on interpreter. More...
Properties inherited from IG.Lib.ILoadableScript
string | EmbeddedCommandName`[get, set]`
| Command that was used to launch the current embedded application script. More...
string[] | InitializationArguments`[get, set]`
| Arguments used by the initialization method. More...
bool | IsInitialized`[get]`
| Whether the object has been initialized or not. More...
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Detailed Description

Base cls. for various special function loadable scripts.

$A Igor xx;

## Constructor & Destructor Documentation

IG.Script.LoadableScriptSpecialFunctionBase.LoadableScriptSpecialFunctionBase | ( |  | ) |
| inline

## Member Function Documentation

override void IG.Script.LoadableScriptSpecialFunctionBase.InitializeThis | ( | string[] | arguments | ) |
| inline protected virtual

Initializes the current object.

Implements IG.Lib.LoadableScriptBase.

override string IG.Script.LoadableScriptSpecialFunctionBase.RunThis | ( | string[] | arguments | ) |
| inline protected virtual

Runs action of the current object.

Parameters

  arguments | Command-line arguments of the action.

Implements IG.Lib.LoadableScriptBase.

override void IG.Script.LoadableScriptSpecialFunctionBase.Script_AddCommand | ( | ICommandLineApplicationInterpreter | interpreter,
|  | SortedList< string, string > | helpStrings,
|  | string | commandName,
|  | Script_CommandDelegate | command,
|  | string | helpString
| ) |  |
| inline virtual

Adds a new internal script command under specified name to the internal interpreter of the current script object.

Parameters

  interpreter | Interpreter on which the command is added.
  helpStrings | Dictionary of help strings corresponding to commands.
  commandName | Name of the command.

Must not be null or empty string.

Parameters

  command | Method that executes the command.

Must not be null.

Parameters

  helpString | Help string associated with command, optionsl (can be null).

Reimplemented from IG.Lib.LoadableScriptBase.

override void IG.Script.LoadableScriptSpecialFunctionBase.Script_AddCommands | ( | ICommandLineApplicationInterpreter | interpreter,
|  | SortedList< string, string > | helpStrings
| ) |  |
| inline virtual

Adds commands to the internal interpreter.

Parameters

  interpreter | Interpreter where commands are executed.
  helpStrings | List containg help strings.

Reimplemented from IG.Lib.LoadableScriptBase.

Reimplemented in IG.Script.AppExtBase.

string IG.Script.LoadableScriptSpecialFunctionBase.AppMyTest | ( | string[] | arguments | ) |
| inline

Test action.

Parameters

  arguments | Array of command-line arguments.

virtual string IG.Script.LoadableScriptSpecialFunctionBase.AppCustomApp | ( | string[] | arguments | ) |
| inline virtual

Custom application.

Reimplemented in IG.Script.ScriptAppBase.

## Member Data Documentation

const string IG.Script.LoadableScriptSpecialFunctionBase.ConstMyTest = "MyTest"

Name of the command that performs my custom test.

const string IG.Script.LoadableScriptSpecialFunctionBase.ConstHelpMyTest = "Custom test function."

const string IG.Script.LoadableScriptSpecialFunctionBase.ConstCustomApp = "CustomApp"

Name of the command for custom test.

const string IG.Script.LoadableScriptSpecialFunctionBase.ConstHelpCustomApp = "Custom aplication."

The documentation for this class was generated from the following file:

- igbase/interpreters/scriptloader/scripts/ScriptAppBase.cs